Name:           httpdtap
Version:        0.3
Release:        10%{?dist}
Summary:        Tool for querying httpd using SystemTap scripts
License:        ASL 2.0
URL:            https://github.com/hanzz/httpdtap
Source0:        https://github.com/hanzz/httpdtap/archive/v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       systemtap-client

%description
HttpdTap is collection of useful SystemTap scripts to query running httpd
server to get information like files accessed during a request, time needed
to dispatch a request, the list of requests slower than N milliseconds or
the list of requests sent from particular IP address. Thanks to SystemTap
the performance penalty is very low and therefore the HttpdTap can be used
even on production systems.

%prep
%setup -q

# Remove shebang from .stp scripts, because they are executed only using
# httpdtap in Fedora
sed -i -e '/^#! \//, 1d' scripts-22/*.stp
sed -i -e '/^#! \//, 1d' scripts-24/*.stp

%build
%py2_build

%install
%py2_install

%files
%doc README.md LICENSE
%{_datadir}/httpdtap
%{_bindir}/httpdtap
%{python2_sitelib}/*
%{_mandir}/man8/*.8*

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 15 2014 Jan Kaluza <jkaluza@redhat.com> - 0.3-1
- update to version 0.3

* Thu Sep 26 2013 Jan Kaluza <jkaluza@redhat.com> - 0.2-2
- fix comment in manpage

* Tue Sep 10 2013 Jan Kaluza <jkaluza@redhat.com> - 0.2-1
- update to version 0.2
- remove shebang from .stp scripts

* Wed Aug 28 2013 Jan Kaluza <jkaluza@redhat.com> - 0.1-1
- Initial Fedora packaging
